Subject: Re: [PATCH v5 net-next 00/10] dt-binding preparation for ocelot switches

From: Jakub Kicinski <[email-masked]>
Date: Mon, 12 Dec 2022 10:29:58 -0800

On Fri,  9 Dec 2022 19:30:23 -0800 Colin Foster wrote:
> Ocelot switches have the abilitiy to be used internally via
> memory-mapped IO or externally via SPI or PCIe. This brings up issues
> for documentation, where the same chip might be accessed internally in a
> switchdev manner, or externally in a DSA configuration. This patch set
> is perparation to bring DSA functionality to the VSC7512, utilizing as
> much as possible with an almost identical VSC7514 chip.
> 
> This patch set changed quite a bit from v2, so I'll omit the background
> of how those sets came to be. Rob offered a lot of very useful guidance.
> My thanks.
> 
> At the end of the day, with this patch set, there should be a framework
> to document Ocelot switches (and any switch) in scenarios where they can
> be controlled internally (ethernet-switch) or externally (dsa-switch).

A lot of carried over review tags here, so please let me know if
there's anything that needs to be reviewed here, otherwise I'd like 
to merge the series for 6.2 by the end of the day.